Subject: bug#73023: closed (Re: bug#73023: Obsolete documentation on insert-in-front-hooks (GNU Emacs 29.4))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 04 Sep 2024 12:30:02 +0000

Your bug report

#73023: Obsolete documentation on insert-in-front-hooks (GNU Emacs 29.4)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73023: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73023
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73023: Obsolete documentation on insert-in-front-hooks (GNU Emacs 29.4)
From: Eli Zaretskii <[email-masked]>
To: Rodrigo Morales <[email-masked]>
Cc: [email-masked]
Date: Wed, 04 Sep 2024 15:28:07 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Rodrigo Morales <[email-masked]>
> Date: Wed, 4 Sep 2024 00:18:05 -0500
> 
> Rodrigo Morales <[email-masked]> writes:
> 
> > I believe that the part "these functions receive two arguments, the
> > beginning and end of the inserted text." is obsolete because functions
> > in insert-in-front-hooks are passed 4 parameters. In the code block
> > below, you can see a correct function definition for
> > insert-in-front-hooks. The two code block shown below were retrieved
> > from the file ./lisp/progmodes/cpp.el
> 
> When I wrote this bug report, I wasn't aware about the difference
> between text properties and overlay properties. I thought that all
> properties that can be used on text can also be used on overlays, now I
> know that I'm wrong. Please omit this bug report.

Thanks, closing.

Subject: Re: Obsolete documentation on insert-in-front-hooks (GNU Emacs 29.4)
From: Rodrigo Morales <[email-masked]>
To: Rodrigo Morales <[email-masked]>, <[email-masked]>
Date: Wed, 4 Sep 2024 00:18:05 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Rodrigo Morales <[email-masked]> writes:

> I believe that the part "these functions receive two arguments, the
> beginning and end of the inserted text." is obsolete because functions
> in insert-in-front-hooks are passed 4 parameters. In the code block
> below, you can see a correct function definition for
> insert-in-front-hooks. The two code block shown below were retrieved
> from the file ./lisp/progmodes/cpp.el

When I wrote this bug report, I wasn't aware about the difference
between text properties and overlay properties. I thought that all
properties that can be used on text can also be used on overlays, now I
know that I'm wrong. Please omit this bug report.